@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins';
    scroll-behavior: smooth;

}

:root {
    --primary-color: #0000;
    --second-color: #BEB7A4;
    --text-color: #FFFFFC;
}

/* Nav Bar */
.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    padding: 10px;
    z-index: 200;
}

.menu-toggle span {
    background-color: var(--text-color);
    height: 3px;
    width: 25px;
    margin: 3px 0;
    transition: all 0.3s ease;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    background-color: #000;
    flex-wrap: wrap;
}

nav .logo img {
    width: 100px;
    margin-left: 20px;
}

nav .navlinks ul {
    display: flex;
    list-style: none;
    gap: 20px;
    margin-right: 20px;
    flex-wrap: wrap;
    justify-content: center;
}

nav .navlinks ul li a {
    text-decoration: none;
    color: var(--text-color);
}

nav .navlinks ul li a:hover {
    color: #ffffff73;
}

/* Hamburger menu pour mobile */
.hamburger {
    display: none;
    cursor: pointer;
    margin-right: 20px;
}

.hamburger .bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    background-color: var(--text-color);
}

/* about section */
.about {
    height: auto;
    padding: 0 10px;
}

/* Image about section */
.about .container h1 {
    font-size: 1.8rem;
    text-align: center;
    margin: 30px 0;
}

.about .container .img-about {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    align-items: center;
    justify-items: center;
    text-align: center;
}

.about .container .img-about img {
    width: 100%;
    max-width: 200px;
    height: auto;
}

.about .container .img-about h3 {
    font-size: 1.3rem;
    margin-top: 15px;
    text-transform: uppercase;
}

/* About text section */
.about .container .content-about {
    width: 100%;
    padding: 0 15px;
}

.about .container .content-about {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
}

.about .container .content-about .title {
    background: #000;
    background-position: center;
    margin: 30px 0 0 0;
    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
}

.about .container .content-about .title h2 {
    color: var(--text-color);
    text-align: left;
    padding: 10px;
    text-transform: uppercase;
    font-size: 1.3rem;
}

.about .container .content-about .text-content {
    margin: 20px 0;
}

.about .container .content-about .text-content p {
    font-size: 1.1rem;
    margin-bottom: 20px;
    color: #aaa;
}

/* text question / answer */
.about .container .questions {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    margin: 30px 0;
    padding: 0 15px;
    gap: 20px;
    width: 100%;
}

.about .container .questions .items {
    gap: 5px;
    width: 100%;
}

.about .container .questions .items .question {
    font-size: 1.1rem;
    font-weight: 600;
    margin-bottom: 5px;
}

.about .container .questions .items .answer {
    font-size: 1rem;
    font-weight: 400;
    color: #000000c1;
}

/* Partenaires section */
.partenaire {
    padding: 30px 0;
    text-align: center;
}

.partenaire .title {
    background: #000;
    background-position: center;
    margin: 30px auto 0;
    width: 95%;
    height: 50px;
    display: flex;
    align-items: center;
}

.partenaire .title h2 {
    color: var(--text-color);
    text-align: left;
    padding: 10px;
    text-transform: uppercase;
    font-size: 1.3rem;
}

.wrapper {
    width: 95%;
    max-width: 1536px;
    margin-inline: auto;
    position: relative;
    height: 100px;
    margin-top: 3rem;
    overflow: hidden;
    mask-image: linear-gradient(to right,
            rgba(0, 0, 0, 0),
            rgba(0, 0, 0, 1) 20%,
            rgba(0, 0, 0, 1) 80%,
            rgba(0, 0, 0, 0));
}

@keyframes scrollLeft {
    to {
        left: -200px;
    }
}

.item {
    width: 200px;
    height: 100px;
    border-radius: 6px;
    margin-left: 50px;
    position: absolute;
    left: max(calc(200px * 8), 100%);
    animation-name: scrollLeft;
    animation-duration: 30s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

.item1 { animation-delay: calc(30s / 8 * (8 - 1) * -1); }
.item2 { animation-delay: calc(30s / 8 * (8 - 2) * -1); }
.item3 { animation-delay: calc(30s / 8 * (8 - 3) * -1); }
.item4 { animation-delay: calc(30s / 8 * (8 - 4) * -1); }
.item5 { animation-delay: calc(30s / 8 * (8 - 5) * -1); }
.item6 { animation-delay: calc(30s / 8 * (8 - 6) * -1); }
.item7 { animation-delay: calc(30s / 8 * (8 - 7) * -1); }
.item8 { animation-delay: calc(30s / 8 * (8 - 8) * -1); }

.wrapper .item img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: transform 0.5s ease-in-out;
}

/* Footer section */
footer {
    margin-top: 30px;
    background: #000;
    color: #fff;
    padding: 20px 10px;
    position: relative;
    bottom: 0;
    width: 100%;
}

footer .row .top {
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}


footer .row .top img {
    margin-bottom: 20px;
    width: 100px;
}

footer .row .bottom {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

/* footer icon part */
footer .row .bottom .column {
    flex: 1;
    min-width: 200px;
}

footer .row .bottom .column .icon {
    margin-left: 0;
    display: flex;
    gap: 10px;
    text-align: left;
    margin-bottom: 10px;
}

footer .footer-container .row .bottom .column .icon p a {
    color: #fff;
    text-decoration: none;
}

/* Footer Link part */
footer .row .bottom .column-links {
    min-width: 200px;
    display: flex;
    justify-content: center;
}

footer .row .bottom .column-links ul {
    display: flex;
    gap: 10px;
    list-style: none;
    margin: 0;
    padding: 0;
}

footer .row .bottom .column-links ul li a {
    font-size: 1rem;
    color: #fff;
    text-decoration: none;
}


/* copyright */
footer .footer-container .copy {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    text-align: center;
}

footer .footer-container .copy p {
    color: var(--text-color);
    font-size: .8rem;
}

/* Media Queries pour la responsivité */


@media screen and (max-width: 768px) {
     /* Navigation */
     nav .logo img {
        margin-left: 20px;
        width: 80px;
    }
    
    .menu-toggle {
        display: flex;
        margin-right: 20px;
    }
    
    nav .navlinks {
        position: fixed;
        top: 0;
        right: -100%;
        width: 70%;
        height: 100vh;
        background-color: #000;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        transition: 0.5s ease-in-out;
        z-index: 100;
    }
    
    nav .navlinks.active {
        right: 0;
    }
    
    nav .navlinks ul {
        flex-direction: column;
        text-align: center;
        margin-right: 0;
    }
    
    nav .navlinks ul li {
        margin: 15px 0;
    }
    
    /* About section */
    .about .container .img-about {
        grid-template-columns: repeat(2, 1fr);
    }
    
    /* Footer */
    footer .row .top  {
        display: flex;
        justify-content: center;
    }
    footer .row .bottom {
        flex-direction: column;
        align-items: center;
    }
    
    footer .row .bottom .column {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    footer .row .bottom .column .icon {
        justify-content: center;
    }
    
    footer .row .bottom .column-links ul {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
    }
}

@media screen and (max-width: 576px) {
    /* Ajouter un menu hamburger */
    
    
    /* About section */
    .about .container h1 {
        font-size: 1.5rem;
    }
    
    .about .container .img-about {
        grid-template-columns: 1fr;
    }
    
    .about .container .content-about .title h2 {
        font-size: 1.2rem;
    }
    
    .about .container .questions .items .question {
        font-size: 1rem;
    }
    
    .about .container .questions .items .answer {
        font-size: 0.9rem;
    }
    
    /* Partenaires */
    .partenaire .title h2 {
        font-size: 1.2rem;
    }
    
    /* Réduire la taille des items du partenaire */
    .item {
        width: 150px;
        height: 75px;
    }

    footer  .row .bottom .column-links .link ul {
        display: flex;
        flex-direction: column;
        text-align: center;
    }
}